Ubuntu Repositories

Ask for help regarding any technical issue or report any bug or OS independent issues.
Post Reply
User avatar
Amethyst
Novice
Novice
Posts: 152
Joined: 14 Dec 2006, 23:56
Location: Earth

Ubuntu Repositories

Post by Amethyst » 15 Jan 2007, 02:15

The Ubuntu repositories still have 0.0.21.1, and 0.0.21.1 doesn't work with the current server. :/.
User avatar
Bjørn
TMW Adviser
TMW Adviser
Posts: 1430
Joined: 09 Dec 2004, 19:50
Location: North Rhine-Westphalia, Germany
Contact:

Post by Bjørn » 15 Jan 2007, 10:09

Version 0.0.21.1 should still work. If it doesn't, please report your problem.

For 0.0.22(.1), you'll have to either compile TMW yourself or be patient until the Ubuntu repositories are updated.
User avatar
Amethyst
Novice
Novice
Posts: 152
Joined: 14 Dec 2006, 23:56
Location: Earth

How do I compile?

Post by Amethyst » 15 Jan 2007, 20:25

How do I compile? I forgot...

Btw, why don't you guys make a .deb package again, like I suggested earlier.
deesine
Peon
Peon
Posts: 21
Joined: 15 Nov 2006, 03:39

Re: How do I compile?

Post by deesine » 15 Jan 2007, 22:14

sixpointnine wrote:How do I compile? I forgot...
How to compile and run TMW on your GNU/Linux Box
================================================

Homepage: http://themanaworld.org/
IRC: irc.freenode.net / #themanaworld

1) Requirements
2) Compiling The Mana World
3) Notes


1. Requirements
===============

You are expected to have either checked out TMW from CVS or you have downloaded
a source release. To get The Mana World to compile, you need a compiler (GCC)
and some libraries. The required libraries are:

* SDL http://www.libsdl.org/
* SDL_mixer http://www.libsdl.org/projects/SDL_mixer/
* SDL_image http://www.libsdl.org/projects/SDL_image/
* SDL_net http://www.libsdl.org/projects/SDL_net/
* Guichan 0.5.0 http://guichan.sourceforge.net/
* libxml2 http://www.xmlsoft.org/
* physfs 1.0.x http://icculus.org/physfs/
* zlib 1.2.x http://www.gzip.org/zlib/
* libcurl http://curl.haxx.se/libcurl/

If you checked TMW out from CVS you will also need these tools to compile:

* GNU automake 1.9 http://www.gnu.org/software/automake/
* GNU autoconf http://www.gnu.org/software/autoconf/

Installing these dependencies is distributions-specific, and we'll leave it to
you to figure this out.


2. Compiling And Installing The Mana World
==========================================

1) Go to the directory you have extracted the source to.
2) If you checked out from SVN, run "./autogen.sh" to generate configure.
3) Run "./configure"
4) Run "make"
5) Run "make install" as root

It should have installed The Mana World on your system now, and you can run it
with "tmw". By default all files are installed to /usr/local, you can pass a
different prefix to configure as usual.


NOTE: For those people with modern video cards and fast OpenGL performance,
we have been working on OpenGL support. At the moment there is no way to
switch between SDL and OpenGL dynamically and you need to do this at compile
time. To try this perform step 3 as follows:

"./configure --with-opengl"

Rebuild the executable from scratch using "make clean" and then "make".


3. Notes
========

If you have any problems, you are welcome to post your questions on our forums,
or talk about them in our IRC channel.

- The Mana World Dev Team
User avatar
Crush
TMW Adviser
TMW Adviser
Posts: 8046
Joined: 25 Aug 2005, 17:08
Location: Germany

Post by Crush » 15 Jan 2007, 22:27

also read
http://wiki.themanaworld.org/index.php/Dependencies
for the easiest way to get the dependencies on ubuntu.
  • former Manasource Programmer
  • former TMW Pixel artist
  • NOT a game master

Please do not send me any inquiries regarding player accounts on TMW.


You might have heard a certain rumor about me. This rumor is completely false. You might also have heard the other rumor about me. This rumor is 100% accurate.
User avatar
Bjørn
TMW Adviser
TMW Adviser
Posts: 1430
Joined: 09 Dec 2004, 19:50
Location: North Rhine-Westphalia, Germany
Contact:

Post by Bjørn » 15 Jan 2007, 22:49

Ah whoops, forgot to update that file to mention Guichan 0.6.0 instead of 0.5.0...
User avatar
Crush
TMW Adviser
TMW Adviser
Posts: 8046
Joined: 25 Aug 2005, 17:08
Location: Germany

Post by Crush » 15 Jan 2007, 23:41

I guess sixpointnine tries to compile the latest official sourcecode release and not the latest svn version. In that case it won't work with guichan 0.5.0.
  • former Manasource Programmer
  • former TMW Pixel artist
  • NOT a game master

Please do not send me any inquiries regarding player accounts on TMW.


You might have heard a certain rumor about me. This rumor is completely false. You might also have heard the other rumor about me. This rumor is 100% accurate.
User avatar
DoomHammer
Peon
Peon
Posts: 7
Joined: 01 May 2007, 11:09

Post by DoomHammer » 03 May 2007, 22:13

Simpler way to get guichan is:

http://ftp.debian.org/debian/pool/main/g/guichan/

It works ok for my feisty...
Post Reply